/*
Theme Name: Openness-child
Theme URL: http://hostinger-tutorials.com
Description: Twenty Seventeen Child Theme
Author: John Doe
Author URL: http://hostinger-tutorials.com
Template: openness
Version: 1.0.1
Text Domain: openness-child
*/

/* Normaliza modelo de caja */
*,
*::before,
*::after {
  box-sizing: border-box;
}
  body:before {
    display: none !important;
  }
  
@media screen and (min-width: 1440px){

.site-main, .content-area {
   min-height: 100vh;
   padding-bottom: 30px;
  }

.sidebar {
position: fixed;
top: 0;
left: 0;
width: 18vW; /* % del ancho de la ventana*/
height: 100vh; /* Permette scroll up */
margin: 0 !important;
padding: 0 !important;
z-index: 1000;
overflow-y: auto;
height: 100vh;
}

.site-content {
   min-height: 100vh;
   display: block;
   float: left;
   margin-left: 18vW; /* Sidebar + separaciÃ³n em % */;
   width: 82vW; /* % del ancho de la ventana */
   padding: 30px;
  }

.secondary {
    min-height: 120vh; /* Il menu occupa tutta l'altezza schermo*/
  }

  
.site-main {
    max-width: none !important;
    width: 100% !important;
    margin: 0 !important;
    padding: 0 !important;
    box-sizing: border-box;
  }

.site, #page, .site-main, .content-area, .entry-content {
    width: 100%;
    margin-left: 0;
    margin-right: auto;
    box-sizing: border-box;
    max-width: none !important;
  }


/*
.site-main {
  outline: 2px dashed red;}
.content-area {
  outline: 2px solid blue;}
.entry-content {
  outline: 2px solid green;}
.secondary {
  outline: 2px dashed yellow;}
.sidebar {
  outline: 2px dashed white;}*/

} /* Fin del media screen and (min-width: 1024px) */

/

/* Sidebar Firefox */
.sidebar {
  scrollbar-width: thin;
  scrollbar-color: #888 #333; /* pulgar (thumb), fondo (track) */
}
/* Sidebar Chrome, Edge, Safari */
.sidebar::-webkit-scrollbar {
  width: 6px; /* o 12px si prefieres mÃ¡s ancho */
}
.sidebar::-webkit-scrollbar-track {
  background-color: #333; /* fondo */
}
.sidebar::-webkit-scrollbar-thumb {
  border-radius: 4px;
}
.sidebar nav {
  min-height: 100vh;
}


/* VIDEOS */

.video-adapt {
  position: relative;
  width: 90%;
  max-width: 100%;
  aspect-ratio: 16 / 9;
  margin: 0 auto;
  overflow: hidden;
}
.video-adapt iframe {
  width: 100%;
  height: 100%;
  display: block;
  border: none;
}



/* Colores fondos*/

/* Fondo contenido */
main.site-main, .hfeed-site, .site-main, body.custom-background, .site-content, .page-content {
    background-color: #f5f7fa  !important;
	}

/* Fondo menu e dietro logo */
.secondary, #masthead.site-header {
	background-color:#002349 ;
}

/* Fondo Burgher menu */
.secondary-toggle, .secondary-toggle::before, .secondary-toggle::after  {
    background-color:#fff;
}

.page-header {
  background-color:none !important;
}

/* Textos */

/* Texto items menu*/
.main-navigation a,
.main-navigation a:visited {
  color: #fff !important;
}

a,
a:visited {
  color: #4A8BDF !important;
  text-decoration: none !important;
}

a:hover {
  border-bottom: 1px solid #4A8BDF !important;
}



p {
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
	margin-right: 10%;
	color: #263238 !important;
}


/* stacca search dal menu*/
.is-search-form {
	padding:1rem;
}

/* Sistema dimensioni video embed in modo che siano responsive*/
.video_wrapper {
position: relative;
padding-bottom: 56.25%; /* 16:9, for an aspect ratio of 1:1 change to this value to 100% */ 
}

iframe{
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
}

/* Videos Geometry nodes */
.wp-video-gn .wp-video {
  width: 100% !important;
  height: auto !important;
}

/* Nasconde comandi player */
.mejs-container .mejs-controls {
  display: none !important;
}


/* MENU */
.nav-menu {
	color: #fff !important;
	font-family: "Verdana";
	font-size: 1rem;
	font-weight: normal;
	}

.sidebar a:hover, .sidebar a:focus {
  color: #DDD;
}

li.current-menu-item > a {
	color: #E0ECF7 !important;
}

/* Disattiva tutte le transizioni (per flickering)*/
li > a {
    transition: none;
}


/* Caratteri prima di ogni voce menu*/

.menu_1 :before {
	content:'â€¢  ';
}

.menu_2 :before {
	content:'â€¢  ';
}

.menu_3 :before {
	content:'â€¢  ';
}


.menu_1 {
 background: url(https://www.blenderplay.com/blender_icons/padlock_2.svg) no-repeat center right;
 text-transform: capitalize;
 text-align: left;
}

.menu_2 {
 background: url(https://www.blenderplay.com/blender_icons/padlock_2.svg) no-repeat center right;
 text-transform: capitalize;
 text-align: left;
}

.menu_3 {
 background: url(https://www.blenderplay.com/blender_icons/padlock_3.svg) no-repeat center right;
 text-transform: capitalize;
 text-align: left;
}


/* Titoli */
.page-title, .comments-title, .comment-reply-title, .post-navigation, .post-title {
	text-align:center;
	display: block;
	font-size: 1em;
}

/* Colore icono menu down */
.dropdown-toggle:after {
	color:#ffffff;
}
/* Disabilita icono dorpdown  */
.dropdown-toggle {
	pointer-events: none;
}

/* -- MENU -- */

/*Intestazioni menu*/
.intestazione_menu {
	text-transform:uppercase;
	text-align:center;
}


/* Submenu */
.submenu {
	text-align:center;
	text-transform: uppercase;
}

/* Centrato Corsivo */
.tipo_2 {
	text-align:center;
	font-style:italic ;
}

/* Centrato Corsivo */
.tipo_3 {
	text-align:center;
	font-style:italic;
}

/* classi per GN*/
.tipo_4 {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
  text-align:center;
  letter-spacing: 5px;
  text-transform: uppercase;
}

.tipo_5 {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
  text-align:left;
}


/* Menu 1st level */
.menu_tab1 {
 background: url(https://www.blenderplay.com/blender_icons/tab1_icon.svg) no-repeat top left;
 text-transform: capitalize;
 text-indent: 2.3em;
}

/* Menu 2nd level */
.menu_tab2 { 
 background: url(https://www.blenderplay.com/blender_icons/tab1_icon.svg) no-repeat top left;
 text-transform: capitalize;
 text-indent: 48px;
}

/* Icone Smoke Flow Settings*/

.menu_mesh_icon32 {
background: url(https://www.blenderplay.com/blender_icons/menu_mesh_icon.svg) no-repeat top right;
text-indent: 16px;
 text-align: center;
}

.menu_particle_icon32 {
background: url(https://www.blenderplay.com/blender_icons/menu_particle_icon.svg) no-repeat top right;
text-indent: 16px;
 text-align: center;
}

/* ---------------- */
/* ICONE PARAMETRI  */
/* ---------------- */

.home_icon {
background: url(https://www.blenderplay.com/blender_icons/home_icon32.svg) no-repeat left;
text-indent: 50px;
}

.back_icon {
background: url(https://www.blenderplay.com/blender_icons/back_icon.svg) no-repeat left;
text-indent: 50px;
}

.buymeacoffee_icon {
background: url(https://www.blenderplay.com/blender_icons/buymeacoffee_icon.svg) no-repeat left;
text-indent: 14px;
}

.donate_icon {
background: url(https://www.blenderplay.com/blender_icons/donate_icon.svg) no-repeat left;
text-indent: 38px;
}


.boid_icon {
background: url(https://www.blenderplay.com/blender_icons/boid_icon.svg) no-repeat top left;
text-indent: 50px;
}

.charge_icon {
background: url(https://www.blenderplay.com/blender_icons/charge_icon.svg) no-repeat top left;
background-position:top left;
text-indent: 50px;
}

.cloth_icon {
background: url(https://www.blenderplay.com/blender_icons/cloth_icon.svg) no-repeat left;
text-indent: 50px;
opacity:0.5;
}

.collision_icon {
background: url(https://www.blenderplay.com/blender_icons/collision_icon.svg) no-repeat left;
text-indent: 50px;
}

.curve-guide_icon {
background: url(https://www.blenderplay.com/blender_icons/curve-guide_icon.svg) no-repeat top left;
text-indent: 50px;
}

.drag_icon {
background: url(https://www.blenderplay.com/blender_icons/drag_icon.svg) no-repeat top left;
text-indent: 50px;
}

.dynamic-paint_icon {
background: url(https://www.blenderplay.com/blender_icons/dynamic-paint_icon.svg) no-repeat left;
text-indent: 50px;
}

.explode_icon {
background: url(https://www.blenderplay.com/blender_icons/explode_icon.svg) no-repeat left;
text-indent: 50px;
}

.fluid_icon {
background: url(https://www.blenderplay.com/blender_icons/fluid_icon.svg) no-repeat left;
text-indent: 50px;
}

.force_icon {
 background:    url(https://www.blenderplay.com/blender_icons/force_icon.svg) no-repeat top left;
 text-indent: 50px;
}

.harmonic_icon {
background: url(https://www.blenderplay.com/blender_icons/harmonic_icon.svg) no-repeat top left;
text-indent: 50px;
}

.lennard-jones_icon {
background: url(https://www.blenderplay.com/blender_icons/lennard-jones_icon.svg) no-repeat top left;
text-indent: 50px;
}

.magnetic_icon {
background: url(https://www.blenderplay.com/blender_icons/magnetic_icon.svg) no-repeat top left;
text-indent: 50px;
}

.modifier_icon {
background: url(https://www.blenderplay.com/blender_icons/modifier_icon.svg) no-repeat left;
text-indent: 50px;
}

.ocean_icon {
background: url(https://www.blenderplay.com/blender_icons/ocean_icon.svg) no-repeat left;
text-indent: 50px;
opacity:0.5;
}

.particle-system_icon {
background: url(https://www.blenderplay.com/blender_icons/emitter_icon.svg) no-repeat left;
text-indent: 50px;
}

.hair_icon {
background: url(https://www.blenderplay.com/blender_icons/hair_icon.svg) no-repeat left;
text-indent: 50px;
}

.rigid-body_icon {
background: url(https://www.blenderplay.com/blender_icons/rigid-body_icon.svg) no-repeat left;
text-indent: 50px;
	opacity:1.0;
}

.rigid-body-constraint_icon {
background: url(https://www.blenderplay.com/blender_icons/constraint_icon.svg) no-repeat left;
text-indent: 50px;
}

.smoke_icon {
background: url(https://www.blenderplay.com/blender_icons/smoke_icon.svg) no-repeat left;
text-indent: 50px;
}

.smoke-flow_icon {
background: url(https://www.blenderplay.com/blender_icons/smoke-flow_icon.svg) no-repeat top left;
text-indent: 50px;
}

.soft-body_icon {
background: url(https://www.blenderplay.com/blender_icons/soft-body_icon.svg) no-repeat left;
text-indent: 50px;
}

.texture_icon {
background: url(https://www.blenderplay.com/blender_icons/texture_icon.svg) no-repeat top left;
text-indent: 50px;
}

.turbulence_icon {
background: url(https://www.blenderplay.com/blender_icons/turbulence_icon.svg) no-repeat top left;
text-indent: 50px;
}

.vortex_icon {
background: url(https://www.blenderplay.com/blender_icons/vortex_icon.svg) no-repeat top left;
text-indent: 50px;
}

.wind_icon {
background: url(https://www.blenderplay.com/blender_icons/wind_icon.svg) no-repeat top left;
text-indent: 50px;
}

/* ---------------- */
/*    ICONE HOME    */
/* ---------------- */


.mail_icon {
background: url(https://www.blenderplay.com/blender_icons/mail.svg) no-repeat left;
background-position:left;
text-indent: 38px;
}

.info_icon {
background: url(https://www.blenderplay.com/blender_icons/info.svg) no-repeat left;
background-position:left;
text-indent: 38px;
}

.faq_icon {
background: url(https://www.blenderplay.com/blender_icons/faq.svg) no-repeat left;
background-position:left;
text-indent: 38px;
}


.person_icon {
background: url(https://www.blenderplay.com/blender_icons/person.svg) no-repeat left;
background-position:left;
text-indent: 38px;
}

.animated_guide_icon {
background: url(https://www.blenderplay.com/blender_icons/animated_guide.svg) no-repeat left;
text-indent: 38px;
}

.print_3d_icon {
background: url(https://www.blenderplay.com/blender_icons/print_3d_icon.svg) no-repeat left;
text-indent: 38px;
}

.co2_laser_icon {
background: url(https://www.blenderplay.com/blender_icons/co2_laser_icon.svg) no-repeat left;
text-indent: 38px;
}

.fiber_laser_icon {
background: url(https://www.blenderplay.com/blender_icons/fiber_laser_icon.svg) no-repeat left;
text-indent: 38px;
}

.plotter_cut_icon {
background: url(https://www.blenderplay.com/blender_icons/plotter_cut_icon.svg) no-repeat left;
text-indent: 38px;
}

.tutorials_icon {
background: url(https://www.blenderplay.com/blender_icons/tutorials_icon.svg) no-repeat left;
text-indent: 38px;
}

.tutorials_pendulums_icon {
background: url(https://www.blenderplay.com/blender_icons/tutorials_pendulums_icon.svg) no-repeat left;
text-indent: 38px;
}

.geometry_nodes_icon {
background: url(https://www.blenderplay.com/blender_icons/geometry_nodes.svg) no-repeat left;
text-indent: 38px;
}


.me_photo {
background: url(https://www.blenderplay.com/blender_icons/me_small.png) no-repeat left;
background-position:center;
	line-height: 12em;
	text-indent: -6138px;

	}

.who-am-i {
	max-width: 280px;
	margin: auto;
}


/* ---------------- */
/*     EFFETTI      */
/* ---------------- */

/*Shadow per video wp*/
.wp-video {
    margin: auto;
    width: 640px;
    height: 360px;
    border-radius: 10px; /* Esquinas redondeadas*/
    box-shadow: 0 6px 16px rgba(0, 0, 0, 0.25);
    overflow: hidden; /* Asegura que el contenido respete las esquinas redondeadas */
    transition: box-shadow 0.3s ease, transform 0.3s ease; /* Animaciones suaves */
}


/*Shadow per webgl*/
.bp-webgl {
	margin: 2em;
	width:640px;
	height:670px;
    box-shadow: 0 6px 16px rgba(0, 0, 0, 0.25);
}

/* png delle tab parametri */
.blpl-img1 {
    max-width: 640px;
    margin: auto;
    border-radius: 10px;
    box-shadow: 0 6px 16px rgba(0, 0, 0, 0.25);
    overflow: hidden;
}

.blpl-img1 img {
    display: block; /* Elimina espacio extra causado por inline elements */
    width: 100%; /* Asegura que la imagen llene el contenedor */
    height: auto; /* Mantiene la proporción de la imagen */
}


/* img header */
.blpl-img3  {
	max-width: 640px;
	margin: auto;
    box-shadow: 0 6px 16px rgba(0, 0, 0, 0.25);
}

/* img cortadores */
.blpl-cortadores  {
	max-width: 640px;
	margin: auto;
    box-shadow: 0 6px 16px rgba(0, 0, 0, 0.25);

}


/* ---------------- */
/*    ECCEZIONI     */
/* ---------------- */

/* Toglie title dalla home*/
.page-id-71 .page-title {
  display: none;
}
/* Toglie title dalla pagina Physics Modifiers */
.page-id-8950 h1.page-title {
	display:none;
	}
/* Toglie title da Cookie Policy */
.page-id-11852 h1.page-title {
		display:none;
		}




/* ----------------- */
/*   TABLA PRIVACY   */
/* ----------------- */

table.bptable td {
	font-size:80%;
}


/* ---------------- */
/*      VARIE       */
/* ---------------- */

/* visualizza email */
my-email::after {
    content: attr(data-domain);
  }
my-email::before {
    content: attr(data-user);
  }
  
/* svg del download button nascosti*/
.blpl-img2  {
	max-width: 640px;
	margin: auto;
	padding-top:30px;
	padding-bottom:15px;
	visibility:hidden;
	}

/*-------------*/
/* Gallery Azar*/
/*-------------*/

.page-gallery {
    max-width: 80%; /* Riduce box galleria */
	padding-left:8vW; /* Aumenta padding galleria */
}
.gallery-item {
background-color: #3c4146;
border: 1px solid rgba(255, 255, 255, 0.05);
box-shadow: 0 6px 16px rgba(0, 0, 0, 0.25);
overflow: hidden; /* Asegura que el contenido respete las esquinas redondeadas */
transition: filter 0.3s ease;
width: 90%; /* Riduce elementi galleria */
}
.gallery-item:hover {
  filter: brightness(1.05);
}
.gallery-title {
  color: #fff !important;
}